; Words with lowercase letters in them represent 'alternations', or states
; whose purpose is to allow transitions (without reading any input) to one or
; other states. Words with capital letters are lexical states; they require
; reading a certain word in the lexical form to proceed.

; Alternations are the only place that the lexical FSA can branch into multiple
; options.

Begin:  Prefix Root
Prefix: ADJ_PREFIX
Root: N_ROOT ADJ_ROOT V_ROOT PARTICLE NAME
AfterNoun: NounSuffix
NounSuffix: End GENITIVE PLURAL N_TO_ADJ
AfterPlural: End GENITIVE
AfterGenitive: End

AfterAdj: ADVERB ADJ_SUFFIX End
Adj-NoAdverb: ADJ_SUFFIX End
AfterAdjSuffix: End

AfterVerb: VerbSuffix
VerbSuffix: V_SUFFIX
; V_SUFFIX is not optional -- you can't go to 'End' from here.
AfterVerbSuffix: End

ADJ_PREFIX:
un+  ADJ_ROOT [+neg]

ADJ_ROOT:
sus`picious AfterAdj    A[-compar]
`still      AfterAdj    A[-compar]
`similar    AfterAdj    A[-compar]
`same       AfterAdj    A[-compar]
`raw        AfterAdj    A[-compar]
`rabid      AfterAdj    A[-compar]
`new        AfterAdj    A[-compar]
`more       AfterAdj    A[+compar]
`less       AfterAdj    A[+compar]
`ill        AfterAdj    A[-compar]
`great      AfterAdj    A[-compar]
`further    AfterAdj    A[+compar]
`fewer      AfterAdj    A[+compar]
`equal      AfterAdj    A[-compar]
`easy       AfterAdj    A[-compar]
`close      AfterAdj    A[-compar]
cor`rect    AfterAdj    A[-compar]

ADVERB:
+ly    AdjSuffix ADV[]

ADJ_SUFFIX:
+er    AfterAdjSuffix [+compar]
+est   AfterAdjSuffix [+compar]
+ness  AfterAdjSuffix N[]


N_ROOT:
`wonder     AfterNoun   N[agr=[person=3, -plural]]
`woman      AfterNoun   N[agr=[person=3, -plural]]
`women      AfterNoun   N[agr=[person=3, +plural]]
`volume     AfterNoun   N[agr=[person=3, -plural]]
`werewolf   AfterNoun   N[agr=[person=3, -plural]]
`visit      AfterNoun   N[agr=[person=3, -plural]]
`tune       AfterNoun   N[agr=[person=3, -plural]]
`theory     AfterNoun   N[agr=[person=3, -plural]]
`theory     AfterNoun   FACT[agr=[person=3, -plural]]
`tax        AfterNoun   N[agr=[person=3, -plural]]
`table      AfterNoun   N[agr=[person=3, -plural]]
`state      AfterNoun   N[agr=[person=3, -plural]]
`state      AfterNoun   FACT[agr=[person=3, -plural]]
`pot        AfterNoun   N[agr=[person=3, -plural]]
`pencil     AfterNoun   N[agr=[person=3, -plural]]
`matter     AfterNoun   N[agr=[person=3, -plural]]
`man        AfterNoun   N[agr=[person=3, -plural]]
`men        AfterNoun   N[agr=[person=3, +plural]]
`love       AfterNoun   N[agr=[person=3, -plural]]
`keys       AfterNoun   N[agr=[person=3, -plural]]
`kennel     AfterNoun   N[agr=[person=3, -plural]]
`horse      AfterNoun   N[agr=[person=3, -plural]]
`guy        AfterNoun   N[agr=[person=3, -plural]]
`flower     AfterNoun   N[agr=[person=3, -plural]]
`fact       AfterNoun   N[agr=[person=3, -plural]]
`fact       AfterNoun   FACT[agr=[person=3, -plural]]
`exam       AfterNoun   N[agr=[person=3, -plural]]
`eggplant   AfterNoun   N[agr=[person=3, -plural]]
`drugs      AfterNoun   N[agr=[person=3, -plural]]
`dog        AfterNoun   N[agr=[person=3, -plural]]
`cows       AfterNoun   N[agr=[person=3, -plural]]
`conference AfterNoun   N[agr=[person=3, -plural]]
`communist  AfterNoun   N[agr=[person=3, -plural]]
`city       AfterNoun   N[agr=[person=3, -plural]]
`chase      AfterNoun   N[agr=[person=3, -plural]]
`cat        AfterNoun   N[agr=[person=3, -plural]]
`car        AfterNoun   N[agr=[person=3, -plural]]
`cadillac   AfterNoun   N[agr=[person=3, -plural]]
`book       AfterNoun   N[agr=[person=3, -plural]]
`sheep      AfterNoun   N[agr=[person=3]]

GENITIVE:
+'s  AfterGenitive [+gen]

PLURAL:
+s   AfterPlural   [+plural]

N_TO_ADJ:
+ish AfterAdj A[-compar]
+y AfterAdj A[-compar]


V_ROOT:
`wonder     AfterVerb V[class=10]
`want       AfterVerb V[class=14]
`want       AfterVerb V[class=15]
`think      AfterVerb V[class=8]
`think      AfterVerb V[class=9]
`state      AfterVerb V[class=8]
`said       End       V[class=8, agr=[tense=past]]
`said       End       V[class=9, agr=[tense=past]]
`say        AfterVerb V[class=8]
`say        AfterVerb V[class=9]
`put        AfterVerb V[class=6]
`put        AfterVerb V[class=17]
`offer      AfterVerb V[class=18]
`matter     AfterVerb V[class=12]
`know       AfterVerb V[class=8]
`know       AfterVerb V[class=9]
`hope       AfterVerb V[class=8]
`hope       AfterVerb V[class=9]
`hope       AfterVerb V[class=15]
`hope       AfterVerb V[class=16]
`claim      AfterVerb V[class=8]
`claim      AfterVerb V[class=9]
be`lieve    AfterVerb V[class=8]
be`lieve    AfterVerb V[class=9]
re`gret     AfterVerb V[class=8]
`ask        AfterVerb V[class=10]
`ask        AfterVerb V[class=11]
ar`range    AfterVerb V[class=6]
ar`range    AfterVerb V[class=8]
`offer      AfterVerb V[class=6]
`offer      AfterVerb V[class=7]
`give       AfterVerb V[class=6]
`give       AfterVerb V[class=7]
`win        AfterVerb V[class=A]
`want       AfterVerb V[class=A]
`visit      AfterVerb V[class=A]
`use        AfterVerb V[class=A]
`tell       AfterVerb V[class=A]
`tax        AfterVerb V[class=A]
sur`prise   AfterVerb V[class=A]
sur`prise   AfterVerb V[class=13]
sup`port    AfterVerb V[class=A]
`state      AfterVerb V[class=A]
`sing       AfterVerb V[class=A]
`sang       End       V[class=A, +fin, agr=[tense=past]]
`sung       End       V[class=A, +fin, agr=[tense=past]]
`see        AfterVerb V[class=B]
`saw        End       V[class=B, +fin, agr=[tense=past]]
`seen       End       V[class=B, +fin, agr=[tense=past]]
`please     AfterVerb V[class=A]
`pass       AfterVerb V[class=A]
`make       AfterVerb V[class=A]
`made       End       V[class=A, +fin, agr=[tense=past]]
`love       AfterVerb V[class=A]
`like       AfterVerb V[class=B]
`left       End       V[class=A, +fin, agr=[tense=past]]
`leave      AfterVerb V[class=A]
`know       AfterVerb V[class=A]
`kill       AfterVerb V[class=A]
`keep       AfterVerb V[class=A]
`kept       End       V[class=A, +fin, agr=[tense=past]]
`hum        AfterVerb V[class=A]
`hate       AfterVerb V[class=A]
`eat        AfterVerb V[class=A]
`drive      AfterVerb V[class=A]
`drove      End       V[class=A, +fin, agr=[tense=past]]
`driven     End       V[class=A, +fin, agr=[tense=past]]
cor`rect    AfterVerb V[class=A]
com`pute    AfterVerb V[class=A]
`chase      AfterVerb V[class=A]
`catch      AfterVerb V[class=B]
`caught     End       V[class=B, +fin, agr=[tense=past]]
`buy        AfterVerb V[class=B]
`bought     End       V[class=B, +fin, agr=[tense=past]]
`talk       AfterVerb V[class=C]
`steal      AfterVerb V[class=C]
`stole      End       V[class=C, +fin, agr=[tense=past]]
`stolen     End       V[class=C, +fin, agr=[tense=past]]
`sleep      AfterVerb V[class=C]
`slept      End       V[class=C, +fin, agr=[tense=past]]
re`turn     AfterVerb V[class=C]
`look       AfterVerb V[class=C]
`go         AfterVerb V[class=C]
`come       AfterVerb V[class=C]
`came       End       V[class=C, +fin, agr=[tense=past]]

V_SUFFIX:
+able AfterVerbSuffix A[-compar]
+ing  AfterAdj        A[-compar]
+ing  AfterVerbSuffix [-fin, agr=[tense=present]]
+er   AfterNoun       N[]
""    AfterVerbSuffix [-fin]
""    AfterVerbSuffix [+fin, agr=[tense=present, person=1, -plural]]
""    AfterVerbSuffix [+fin, agr=[tense=present, person=2, -plural]]
""    AfterVerbSuffix [+fin, agr=[tense=present, +plural]]
+ed   AfterVerbSuffix [+fin, agr=[tense=past]]
+ed   AfterAdj        A[-compar]
+s    AfterVerbSuffix [+fin, agr=[tense=present, person=3, -plural]]

NAME:
mary    End NAME[agr=[person=3, -plural]]
john    End NAME[agr=[person=3, -plural]]
fred    End NAME[agr=[person=3, -plural]]
fido    End NAME[agr=[person=3, -plural]]
bill    End NAME[agr=[person=3, -plural]]

PARTICLE:
i     End  PRO[-wh, agr=[person=1, -plural]]
me    End  PRO[-wh, agr=[person=1, -plural]]
my    End  DET[-wh]
mine  End  PRO[-wh, agr=[person=3]]
you   End  PRO[-wh, agr=[person=2]]
your  End  DET[-wh]
yours End  PRO[-wh, agr=[person=3]]
he    End  PRO[-wh, agr=[person=3, -plural]]
him   End  PRO[-wh, agr=[person=3, -plural]]
his   End  DET[-wh]
she   End  PRO[-wh, agr=[person=3, -plural]]
her   End  DET[-wh]
hers  End  PRO[-wh, agr=[person=3, -plural]]
it    End  PRO[-wh, agr=[person=3, -plural]]
its   End  PRO[-wh, agr=[person=3, -plural]]
we    End  PRO[-wh, agr=[person=1, +plural]]
us    End  PRO[-wh, agr=[person=1, +plural]]
our   End  DET[-wh]
ours  End  PRO[-wh, agr=[person=1, +plural]]
they  End  PRO[-wh, agr=[person=3, +plural]]
them  End  PRO[-wh, agr=[person=3, +plural]]
them  End  PRO[-wh, agr=[person=3, +plural]]
their End  DET[-wh]
theirs End PRO[-wh, agr=[person=3]]
here  End  PRO[-wh]
there End  PRO[-wh]
the   End  DET[-wh]
this  End  DET[-wh, agr=[-plural]]
these End  DET[-wh, agr=[+plural]]
that  End  DET[-wh, agr=[-plural]]
those End  DET[-wh, agr=[+plural]]
a     End  DET[-wh, agr=[-plural]]
an    End  DET[-wh, agr=[-plural]]
some  End  DET[-wh, agr=[+plural]]
and   End  CONJ[]
but   End  CONJ[]
or    End  CONJ[]
if    End  CONJ[]
that  End  RCOMP[-wh]
that  End  COMP[-wh]
how   End  SPEC[+wh]
if    End  SPEC[+wh]
why   End  SPEC[+wh]
whether End  SPEC[+wh]
when  End  ADVPstar[+wh]
where End  ADVPstar[+wh]
which End  RCOMP[+wh]
which End  PRO[+wh]
which End  DET[+wh]
what  End  DET[+wh]
what  End  PRO[+wh]
whom  End  PRO[+wh]
who   End  PRO[+wh]
who   End  RCOMP[+wh]
not   End  NOT[]
than  End  THAN[]
for   End  FOR[]
do    End  DO[-fin]
do    End  DO[+fin, agr=[tense=present, person=1, -plural]]
do    End  DO[+fin, agr=[tense=present, person=2, -plural]]
does  End  DO[+fin, agr=[tense=present, person=3, -plural]]
do    End  DO[+fin, agr=[tense=present, +plural]]
did   End  DO[+fin, agr=[tense=past]]
done  End  DO[+fin, agr=[tense=past]]
doing End  DO[-fin, agr=[tense=present]]
be    End  BE[-fin]
am    End  BE[+fin, agr=[tense=present, person=1, -plural]]
are   End  BE[+fin, agr=[tense=present, person=2, -plural]]
is    End  BE[+fin, agr=[tense=present, person=3, -plural]]
are   End  BE[+fin, agr=[tense=present, +plural]]
was   End  BE[+fin, agr=[tense=past, person=1, -plural]]
were  End  BE[+fin, agr=[tense=past, person=2, -plural]]
was   End  BE[+fin, agr=[tense=past, person=3, -plural]]
were  End  BE[+fin, agr=[tense=past, +plural]]
been  End  BE[+fin, agr=[tense=past]]
being End  BE[-fin, agr=[tense=present]]
should End MODAL[+fin]
shall End MODAL[+fin]
could End MODAL[+fin]
can   End MODAL[+fin]
might End MODAL[+fin]
may   End MODAL[+fin]
would End MODAL[+fin]
will  End MODAL[+fin]
to    End MODAL[-fin]
have  End  HAVE[-fin]
have  End  HAVE[+fin, agr=[tense=present, person=1, -plural]]
have  End  HAVE[+fin, agr=[tense=present, person=2, -plural]]
has   End  HAVE[+fin, agr=[tense=present, person=3, -plural]]
have  End  HAVE[+fin, agr=[tense=present, +plural]]
had   End  HAVE[+fin, agr=[tense=past]]
having End HAVE[-fin, agr=[tense=present]]

up    End  PPstar[]
up    End  P[]
underneath End P[]
under End  PPstar[]
under End  P[]
onto  End  P[]
on    End  PPstar[]
for   End  P[]
down  End  P[]
down  End  PPstar[]
into  End  P[]
in    End  PPstar[]
behind End P[]
behind End PPstar[]
before End P[]
after End  P[]
very  End  ADV[]
still End  ADV[]
of    End  P[attach=N]
to    End  P[attach=V]
in    End  P[]
on    End  P[]
at    End  P[]
with  End  P[]

End:
'#' End None

